#!/usr/bin/env bash

# Copyright 2018-2023 Istituto Nazionale di Fisica Nucleare
# SPDX-License-Identifier: EUPL-1.2

set -ex

dnf -y install epel-release wget

# https://openresty.org/en/linux-packages.html#centos
wget https://openresty.org/package/centos/openresty2.repo
mv openresty2.repo /etc/yum.repos.d/openresty.repo

dnf config-manager --set-enabled crb
dnf -y install \
    hostname \
    which \
    tar \
    sudo \
    file \
    readline \
    gettext \
    less \
    openssl \
    zlib-devel \
    pcre2-devel \
    boost-devel \
    voms-devel \
    patch \
    gcc-c++ \
    rpmdevtools \
    rpmlint \
    perl-ExtUtils-Embed \
    perl-Test-Nginx \
    perl-Digest-SHA \
    cpan \
    voms-clients-java \
    procps-ng
